"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.inChunksOf = inChunksOf;
/**
 * Splits an array in an array of chunks
 * @param chunkSize size of the chunks to split it
 * @param array array to split in chunks
 */
function inChunksOf(chunkSize, array) {
    const result = [];
    const arr = [...array];
    while (arr.length) {
        result.push(arr.splice(0, chunkSize));
    }
    return result;
}
