"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.partitionKeyForEvent = partitionKeyForEvent;
exports.partitionKeyForEntitySnapshot = partitionKeyForEntitySnapshot;
exports.partitionKeyForIndexByEntity = partitionKeyForIndexByEntity;
exports.sortKeyForSubscription = sortKeyForSubscription;
function partitionKeyForEvent(entityTypeName, entityID) {
    return `${entityTypeName}-${entityID}-event`;
}
function partitionKeyForEntitySnapshot(entityTypeName, entityID) {
    return `${entityTypeName}-${entityID}-snapshot`;
}
function partitionKeyForIndexByEntity(entityTypeName, kind) {
    return `${entityTypeName}-${kind}`;
}
function sortKeyForSubscription(connectionID, subscriptionID) {
    return `${connectionID}-${subscriptionID}`;
}
